package com.brilliance.isc.funds.vo.funds;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.FtdgrpVo;
import com.brilliance.isc.vo.model.FttpVo;
import com.brilliance.mda.runtime.mda.util.Decimals;import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;import java.math.BigDecimal;import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttpcnStoreVo extends BaseTransactionVo{
        private FtdgrpVo ftdgrp;
        private  BigDecimal canamt = Decimals.ZERO_SCALE2;
        private  String oldactinr= NULLSTR;
        //Cancel Currency
        private  String cancur= NULLSTR;
        private FttpVo fttp;

        @Override
        public void reset() {
            super.reset();
            if (ftdgrp == null) {
                ftdgrp = new FtdgrpVo();
            }
            ftdgrp.reset();

            if (fttp == null) {
                fttp = new FttpVo();
            }
            fttp.reset();
        }
}
