package com.brilliance.isc.funds.vo.funds;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.FtdgrpVo;
import com.brilliance.isc.vo.model.FttpVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttpcmStoreVo extends BaseTransactionVo {
    private FtdgrpVo ftdgrp;

    private FttpVo fttp;
    @Override
    public void reset() {
        super.reset();
        if (ftdgrp == null) {
            ftdgrp = new FtdgrpVo();
        }
        ftdgrp.reset();

        if (fttp == null) {
            fttp = new FttpVo();
        }
        fttp.reset();
    }


}
